---
description: Display a placeholder while content is loading.
links:
  - label: GitHub
    icon: i-simple-icons-github
    to: https://github.com/nuxt/ui/blob/dev/src/runtime/components/layout/Skeleton.vue
---

## Usage

Use to show a placeholder while content is loading.

::component-example
#default
:skeleton-example

#code
```vue
<template>
  <div class="flex items-center space-x-4">
    <USkeleton class="h-12 w-12" :ui="{ rounded: 'rounded-full' }" />
    <div class="space-y-2">
      <USkeleton class="h-4 w-[250px]" />
      <USkeleton class="h-4 w-[200px]" />
    </div>
  </div>
</template>
```
::

## Props

:component-props

## Preset

:component-preset
